{% extends 'base.html' %}
{% block content %}

<div>
    <h3>Blank: "{{ blank.title }}" questions</h3>
    <p><a href="{% url 'repr-questionnaire' blank_slug=blank.slug %}">Link</a></p>
</div>


<form class="right-aligned-row" method="GET" action="{% url 'question-create' blank_slug=blank.slug %}">
    <select name="type">
        {% for question_type_name, question_type_value in questions_types %}
            <option value="{{ question_type_value }}">{{ question_type_name }}</option>
        {% endfor%}
    </select>
    <button type="submit">Create</button>
</form>


<form class="page-grid" method="POST" action="{% url 'question-bulk-action' blank_slug=blank.slug %}">
    
    {% csrf_token %}
    <div class="page-grid-header">
        
        {% if questions_list|length != 0 %}
            <div class="left-aligned-row">
                <select name="name">
                    {% for action_name, action_value in actions %}
                        <option value="{{ action_name }}">{{ action_value }}</option>
                    {% endfor%}
                </select>
                <button type="submit">Submit</button>
            </div>
        {% endif %}
        
    </div>
    
    <div class="page-grid-content">
        {% for question in questions_list %}
            {% include "questionnaire/question-card.html" with question=question blank=blank index=forloop.counter only %}
        {% empty %}
            <h3>Blank is empty</h3>
        {% endfor %}
    </div>
    
    <div class="page-grid-footer base-footer">
        <div></div>
        <div>
            {% include "paginator.html" with page_obj=page_obj only %}
        </div>
    </div>
</form>
{% endblock content %}